### Constructor

# Devhelp Book new

#### Declaration [src]

    DhBook*
    dh_book_new (
      GFile* index_file
    )

#### Description

No description available.

#### Parameters

`index_file`

  Type: `GFile`

  The index file.

  The data is owned by the caller of the function.

#### Return value

Type: `DhBook`

A new `DhBook` object, or `NULL` if parsing the index file failed.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.